Page MenuHomePhabricator

actions: rename DEFICIENCY constant to FORMAT_VARIANT
ClosedPublic

Authored by pulkit on Dec 30 2020, 5:31 AM.

Details

Summary

It was not obvious what does deficieny means and every format change can't be a
deficiency. There are some format changes like compression levels, share-safe
which can't be understood at deficiencies.

This patch renames the constant to make things clearer.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 30 2020, 5:31 AM

I'm not a huge fan of the name FORMAT_VARIANT. Maybe BC_COMPATIBLE and BC_INCOMPATIBLE (for the current OPTIMISATION and DEFICENCY)?

mercurial/upgrade_utils/actions.py
101

Extra line break?

I'm not a huge fan of the name FORMAT_VARIANT. Maybe BC_COMPATIBLE and BC_INCOMPATIBLE (for the current OPTIMISATION and DEFICENCY)?

From BC you mean, Backwards compatibility?

mercurial/upgrade_utils/actions.py
101

Ha yep, will fix

Yeah, "different from the old state".

Yeah, "different from the old state".

I see. Not all format changes are backwards incompatible. When I say changes, it can be any of upgrade or downgrade. One thing we can do is mark which format variants are BC compatible or not.

marmoute accepted this revision.Jan 7 2021, 6:35 PM
mharbison72 accepted this revision.Jan 12 2021, 6:45 PM
This revision is now accepted and ready to land.Jan 12 2021, 6:45 PM
This revision was automatically updated to reflect the committed changes.